Edit the given payment received.
curl --request PUT \
--url https://api.example.com/api/payments-received/{id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'organization-id: <organization-id>' \
--data '
{
"customerId": 1,
"paymentDate": "2021-01-01",
"amount": 100,
"exchangeRate": 1,
"referenceNo": "123456",
"depositAccountId": 1,
"paymentReceiveNo": "123456",
"statement": "123456",
"entries": [
{
"invoiceId": 1,
"paymentAmount": 100
}
],
"branchId": 1,
"attachments": [
{
"id": 1,
"type": "bill"
}
]
}
'import requests
url = "https://api.example.com/api/payments-received/{id}"
payload = {
"customerId": 1,
"paymentDate": "2021-01-01",
"amount": 100,
"exchangeRate": 1,
"referenceNo": "123456",
"depositAccountId": 1,
"paymentReceiveNo": "123456",
"statement": "123456",
"entries": [
{
"invoiceId": 1,
"paymentAmount": 100
}
],
"branchId": 1,
"attachments": [
{
"id": 1,
"type": "bill"
}
]
}
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: '<authorization>',
'organization-id': '<organization-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customerId: 1,
paymentDate: '2021-01-01',
amount: 100,
exchangeRate: 1,
referenceNo: '123456',
depositAccountId: 1,
paymentReceiveNo: '123456',
statement: '123456',
entries: [{invoiceId: 1, paymentAmount: 100}],
branchId: 1,
attachments: [{id: 1, type: 'bill'}]
})
};
fetch('https://api.example.com/api/payments-received/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Payments Received
Edit the given payment received.
PUT
/
api
/
payments-received
/
{id}
Edit the given payment received.
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
Example:
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Path Parameters
Body
application/json
The id of the customer
Example:
1
The payment date of the payment received
Example:
"2021-01-01"
The amount of the payment received
Example:
100
The exchange rate of the payment received
Example:
1
The reference number of the payment received
Example:
"123456"
The id of the deposit account
Example:
1
The payment receive number of the payment received
Example:
"123456"
The statement of the payment received
Example:
"123456"
The entries of the payment received
Example:
[{ "invoiceId": 1, "paymentAmount": 100 }]
The id of the branch
Example:
1
The attachments of the payment received
Example:
[{ "id": 1, "type": "bill" }]
Response
200 - undefined
⌘I